Peut-on basculer entre 2 systémes ( OS 9 <---> OS X ) sans problème?

Glouglou

Nouveau membre
19 Février 2004
7
0
49
Bonjour à tous,
La question :
Si j'installe "Mac OS X 10.3 Panthere" pourrais-je rebasculer facilement sur la précedente version afin de pouvoir toujours utiliser les logiciels déjà installés (Xpress, ...) ne tournant pas sur la version X ?
Merci à vous,
Fanch
 

Magnus_Wislander

Membre d’élite
Club MacG
11 Janvier 2004
1 425
46
29
maxi.mac.free.fr
Oui, je crois bien(même si je n'ai pas Panther) : il suffit de double cliquer sur une appli de OS 9 pour que ce dernier s'ouvre. Sur Jaguar du moins...

j'espère ne pas dire d'âneries !

et bienvenue sur le forum !
 

Dark Templar

Ex-vénérable sage
Club MacG
24 Avril 2002
16 893
1 044
Toujours là
www.pontida.fr
Oui, ça c'est pour lancer Classic.
Après, pour démarrer sur Mac OS 9 ou Mac OS 10, tu as plusieurs possibilités :
  • Sous OS 9.2 : Menu pomme > Tableaux de bord > Démarrage
  • Sous OS 10 : Menu Pomme > Préférences Système > Démarrage
  • Tu peux aussi choisir le système de démarrage au moment de l'allumage de l'ordinareur :
    • Si les deux système sont sur des partitions différentes, tu démarre l'ordi en restant appuyé sur la touche "Alt" et il va te proposer une liste de toutes les partitions amorçables
    • Si les deux systèmes sont sur la même partition, tu maintiens la touche "X" enfoncée au démarrage pour forcer à démarrer sous OS X.
 

drussus

Membre junior
16 Janvier 2004
11
0
sur la meme partition j'ai 10.3.1 et OS 9.2(a cause de mon scanner Epson 1650 ) et ca fonctionne tres bien (sauf la souris sans fil qui ne fonctinne pas avec 9.2 je suis oblge de remettre l'ancienne!!)
 

ZeRoux

Membre junior
17 Octobre 2002
43
1
un truc pas mal à savoir, c'est que tu peux choisir entre les différents systems (os X et classic) au démarrage en restant appuyer sur alt je crois.
 

Glouglou

Nouveau membre
19 Février 2004
7
0
49
Aïe !!!
C'est pas trés cool si il faut redémarrer juste pour utliser une application.
Il n'y a que Magnus_Wislander qui croit savoir qu'en cliquant sur une appli qui fonctionne avec OS 9 se lancerait automatiquement en basculant sur OS 9. Qui fait le test chez lui?
J'ai pas envie d'acheter une panthere avec en plus les mises à jour d'autres logiciels en prime.
De plus sans vouloir vous compliquer trop la vie, c'est quoi vos histoires de choix de partition ou non sur le disk. Mon disque fait 30 Giga et 20 sont déjà utilisés alors pas question de formater pour partitioner. C'est possible aussi ça?
Merci à vous,
Fanch
 

Luc G

Vénérable sage
Club MacG
17 Octobre 2001
11 882
1 896
66
Dans le sud
luc.greliche.free.fr
Tu démarres sous OSX.
Ensuite tu démarres ton appli OS9, elle se lance sous classic. Hormis quelques problèmes possibles en ce qui concerne la gestion de certains matériels hardware, ton appli fonctionnera exactement comme si tu avais démarré sous OS9. Il n'y a donc aucune obligation de démarrer sous OS9 pour utiliser des applis OS9.

Exemple : ces jours-ci, mon gamin se fait, avec mon aide très limitée, son petit site internet. Il fait ça sous home page 2 (donc sous classic) et regarde le résultat sous safari en même temps sans aucun problème.

PS. La nécessité de démarrer sous OS9 peut venir de problème hard, par exemple certains dongles ADB gérés par l'imate encore que certains soient gérables même en démarrant sous OSX. Ceci résulte du fait que Classic utiliser les couches basses de OSX et non les couches basses de OS9. Dans ton cas, il faut par exemple simplement vérifier si le dongle de XPress est utilisable.
 

Glouglou

Nouveau membre
19 Février 2004
7
0
49
Ca c'est de la réponse Luc. Juste à la limite un peu trop technique parceque là j'ai un probleme pour savoir si mon dongle xpress il est content.
De mémoire et après recherche le dongle c'est la petite clé USB c'est ça? Ben elle est branchée sur un port USB. J'ai po l'air trop tarte là? lol
Fanch
 

Luc G

Vénérable sage
Club MacG
17 Octobre 2001
11 882
1 896
66
Dans le sud
luc.greliche.free.fr
Je n'ai pas trop le temps de regarder ça de près (en plus je ne connais rien à XPress). En tous cas :
- il faut que ton disque soit formaté en HFSplus mais c'est le standard chez apple, donc a priori aucun pb.
- pour utiliser Xpress sous classic, il te faut un dongleUSB (mais tu l'as apparemment donc pas de pbs).
- il est possible (mais pas sûr, c'est pas clair) que tu doives mettre à jour le driver de ton dongle pour que Xpress soit utilisable sous classic mais il ne semble pas y avoir d'inoompatibilité fondamentale.

L'idéal c'est de faire un test en installant OSX, le driver de dongle et éventuellement XPress sur une partition de ton DD ou un disque externe Firewire, de démarrer dessus et de tester.

Tu devrais aussi aller voir sur le forum PAO s'il n'y a pas eu des fils sur ce sujet (genre rechercher xpress + classic)
 

Billgrumeau

Membre confirmé
21 Janvier 2004
411
6
57
Chamonix
www.escalade-74.com
T'inquiètes pas : J'utilise depuis peu Panther avec pas mal d'application OS 9, dont Xpress 4.1. Toutes les applications OS 9 fonctionnes sous Classic qui démarre automatiquement au lancer de Xpress ou autre. Aucun soucis avec la dongle.

Il il a juste quelques bugs ou incompatibilités : Sous Xpress, les touches de fonction (F10, etc.) ne fonctionnent pas, il faut passer par les menus, il y a aussi un problème de rafraichissement d'écran quand tu fais Pomme-0. Avec Illustrator, j'ai eu aussi des problèmes... qui ont disparus comme par enchantement ! (la duplication d'objets qui ne fonctionnent pas en raccourcis clavier, des objets qui reviennent en place quand on les déplace).